Subject: bug#30893: report problem: cannot book guixSD from libreboot

From: Wensheng Xie <[email-masked]>
Date: Wed, 28 Mar 2018 08:56:42 +0800

Thanks, Mark.

I have tried the following:

1. check the guixSD DVD with a laptop without libreboot. It boots without
problem. ==> The DVD disc is ok.
2. check the guixSD DVD with the laptop with libreboot. It will not boot for
   nither *Search ISOLINUX menu (CD/DVD) (d)
   or *Search for GRUB2 configuration on external media
3. check the DVD drive of the laptop with librebook using another DVD with
Trisquel GNU/Linux image. It boots without problem. ==> The DVD drive is ok.

There must be something incompatible for both guixSD image and libreboot.

Hope this helps for further analysis.

best regards,
wxie

On Sat, Mar 24, 2018 at 5:08 AM, Mark H Weaver <[email-masked]> wrote:

> retitle 30893 cannot boot guixSD from libreboot
> thanks
>
> Hi,
>
> Wensheng Xie <[email-masked]> writes:
>
> > I have downloaded:
> > https://alpha.gnu.org/gnu/guix/guixsd-install-0.14.0.x86_64-linux.iso.xz
> >
> > And follow the instruction
> > https://www.gnu.org/software/guix/manual/html_node/USB-
> Stick-and-DVD-Installation.html#USB-Stick-and-DVD-Installation
> > to make the DVD.
> >
> > The DVD is ok to boot from a normal laptop (without libreboot).
> > When I insert the DVD to my laptop with libreboot, and reboot to boot
> configuration, and select
> > *Search ISOLINUX menu (CD/DVD) (d)
>
> Instead of "Search ISOLINUX menu", could you try using "Search for GRUB2
> configuration on external media"?  This is the method I've used in the
> past on my Libreboot X60 and Libreboot X200 machines.
>
> The last time I researched it, I learned that booting from USB in
> Libreboot was somewhat unreliable, at least in some configurations.  It
> might depend on which USB port you use, so please try different USB
> ports.  It might depend on the USB stick, so maybe try another stick.
> It might also be important to have the USB stick plugged in before you
> power up the machine.  Finally, it might be a matter of chance, so you
> might need to try it several times before it works.
>
> Please let us know how it goes.
>
>     Regards,
>       Mark
>

-- 
I'm an FSF member -- Help us support software freedom!
https://my.fsf.org/join